Get published vacancies

This endpoint returns the vacancies of a business within a date range, including the product and the employees to whom each one was offered.

GET /api/v1/businesses/{businessId}/vacancies?from={yyyy-MM-dd}&to={yyyy-MM-dd}

If the data included in the request is correct, the response will contain the list of vacancies whose day falls between the dates indicated in the from and to parameters (both included).

Response example

{
  "vacancies": [
    {
      "id": "3hfd3",
      "product": "0001-G",
      "day": "2026-07-16",
      "publishToSiblings": false,
      "shifts": [
        {
          "start": "2026-07-16T12:00:00+02:00",
          "end": "2026-07-16T19:00:00+02:00"
        }
      ],
      "employees": [
        "1006370",
        "1006350"
      ],
      "acceptedEmployee": "1006350"
    }
  ]
}
Details
  • id: external identifier of the vacancy.

  • product: external identifier of the product linked to the vacancy.

  • day: day of the vacancy in yyyy-MM-dd format.

  • publishToSiblings: indicates whether the vacancy was also published for sibling products (true) or only for the specified product (false).

  • shifts: shifts defined for the vacancy. The start and end fields are returned in the service’s local time, including its corresponding time zone.

  • employees: list of external identifiers of all the employees to whom the vacancy was offered.

  • acceptedEmployee: external identifier of the employee who accepted the vacancy. If it has not been accepted by anyone yet, this field does not appear in the response.

Considerations

If there are no vacancies published for the indicated time period, the request will return an empty vacancies list.

If the to parameter is earlier than from, the request will return a 400 Bad Request error indicating in the message To can not be before from.